#!/bin/bash
#
# Start script for BMV vedirect
#	First parameter: tty device to use
#
# Keep this script running with daemon tools. If it exits because the
# connection crashes, or whatever, daemon tools will start a new one.
#

tty_dev=$1
verbose="-v --log-before 25 --log-after 25"
#logfile=

log(){
  test -z "$myname" && myname=`basename $0`
  #logger -t "$myname" -p "user.info" "$*"
  test -t 1 && echo "`date +%Z-%Y.%m.%d-%H:%M:%S` $*"
  test -z "$logfile" || echo "`date +%Y.%m.%d-%H:%M:%S` [$$] $*" >> $logfile
}

terminated()
{
  log "Terminate script with PID $bmv_pid on device $tty"
  [ -n "$bmv_pid" ] && kill -s 0 $bmv_pid 2> /dev/null && kill $bmv_pid
  #remove lock
  tty=${tty_dev#/*/} # get part after forward slash
  rm -rf "/var/lock/$tty.lock"
  exit 0
}

trap "terminated" SIGINT SIGTERM

log "Starting vedirect_dbus on $tty_dev"
/opt/color-control/vedirect-interface/vedirect-dbus $verbose -t 3 --banner -s $tty_dev &
bmv_pid=$!
#log "vedirect_dbus process has PID $bmv_pid"

# If process stop running terminate script
wait $bmv_pid

# Pitfall
terminated
